{# Templates/City/optionUpgradeSoldier.html.twig #}
{# City skeleton (It displays army, city options, resource stocks, grid and logs) #}

{% extends 'base.html.twig' %}

{% trans_default_domain 'City' %}

{% block title %}{{ 'tabHeader' | trans }}{% endblock %}

{% block stylesheets %}
{% endblock %}

{% block javascripts %}
    <script type="text/javascript" src="{{ asset('js/gameGrid.js') }}" xmlns="http://www.w3.org/1999/html"></script>
{% endblock %}

{% block content %}
    <p class="ServerData" data-grid="{{ lord.city.grid }}" {% if lord.city.constructionProject != null %}data-has-construction="true"{% endif %}></p>
    <ul class="resources rescity">
        {% for resourceName in ['wheat', 'gold', 'wood', 'iron', 'lin', 'horse'] %}
            {% set maxAmount = maxAmounts[resourceName] %}
            <li>
                <div
                        class="res"
                        onmouseover="showHint(this,'{{ ('resources.'~resourceName~'.name') | trans }}','<div class=\'infos max\'>max : {{ maxAmount }}</div>{{ ('resources.'~resourceName~'.desc') | trans }}')"
                        onmouseout="hideHint()"
                >
                    <div class="resp">
                        <span class="n" data-max="{{ maxAmount }}">{{ lord.city.storageCount(resourceName) }}</span>
                    </div>
                    <img src="{{ asset('img/icons/res_'~resourceName~'.png') }}" alt="" class="" />
                </div>
            </li>
        {% endfor %}
    </ul>

    <h1 class="city">{{ lord.city.name }}</h1>
    <div class="h1">
        <div class="h1mid">
            <div class="h1bottom">
                <table class="city">
                    <tbody>
                    <tr>
                        <td>
                            <!-- UNITS -->
                            <div class="box1 unitsgar">
                                <div class="box1bottom">
                                    <div class="box1bg">
                                        {# At least display the soldier #}
                                        {% set unitsToDisplay = ['soldier'] %}
                                        {% set unitsCount = lord.city.defense.totalUnitCount %}
                                        {% if unitsCount > 0 and unitsCount != lord.city.defense.unitCount('soldier') %}
                                            {% set unitsToDisplay = ['soldier', 'pikeman', 'archer', 'horseman', 'knight', 'mountedArcher', 'paladin', 'catapult', 'ballista'] %}
                                        {% endif %}
                                        <h2 class="h2a" data-armycount="{{ unitsCount }}">{{ 'header.units' | trans }}</h2>
                                            <ul class = "army items">
                                                {% for unit in unitsToDisplay %}
                                                    {% set unitCount = lord.city.defense.unitCount(unit) %}
                                                    <li>
                                                        <div class="item{% if unitCount==0 %} disable{% endif %}"
                                                            onmouseover="showHint(this,'{{ ('units.'~unit~'.name') | trans([], "Common") }}','{{ ('units.'~unit~'.desc') | trans([], "Common") }}')"
                                                            onmouseout="hideHint()">
                                                            <img src="/img/icons/u_{{ unit }}.png" alt="{{ unit }} icon">
                                                            <span class="number">{{ unitCount }}</span>
                                                        </div>
                                                    </li>
                                                {% endfor %}
                                            </ul>

                                        <p id="noArmyMessage" class="nothing{% if unitsCount > 0 %} hidden{% endif %}">
                                            {{ 'messages.noArmy' | trans }}
                                        </p>
                                            
                                        <div class="clear"></div>
                                    </div>
                                </div>
                            </div>

                            <!-- OPTIONS -->
                            <div class="box1">
                                <div class="box1bottom">
                                    <div class="box1bg">
                                        <h2 class="h2d">{% block cityOptionsTitle %}{% endblock %}</h2>
                                        {% block cityOption %}
                                        {% endblock %}
                                    </div>
                                </div>
                            </div>

                            <!-- BUILDINGS -->
                            <div class="box1">
                                <div class="box1bottom">
                                    <div class="box1bg">
                                        <h2 class="h2d">{{ 'header.buildings' | trans }}</h2>
                                        <ul class="listbuildings">
                                            {% for builtBuilding in lord.city.builtBuildings %}
                                                {% include 'City/Components/building.html.twig' with {'builtBuilding': builtBuilding} %}
                                            {% else %}
                                                <div class="clear"></div>
                                                <p class="nothing">
                                                    {{ 'messages.noWorker' | trans }}
                                                </p>
                                            {% endfor %}
                                        </ul>
                                        <div class="clear"></div>
                                    </div>
                                </div>
                            </div>
                        </td>

                        <td class="right">
                            <!-- POPULATIONS -->
                            <div class="box2">
                                <div class="box2bottom">
                                    <div class="box2bg">
                                        <h2 class="h2e cut" data-populationcount="{{ lord.city.populationCount }}">{{ 'header.population' | trans }}</h2>
                                        <ul class="population items">
                                            {% for jobName in ['farmer', 'lumberjack', 'worker', 'merchant', 'recruiter', 'citizen'] %}
                                                <li>
                                                <div
                                                        class="item {% if lord.city.storageCount(jobName)==0 %} disable {% endif %}"
                                                        onmouseover="showHint(this,'{{ ('jobs.'~jobName~'.name') | trans }}','{{ ('jobs.'~jobName~'.desc') | trans }}')"
                                                        onmouseout="hideHint()"
                                                >
                                                    <img src="{{ asset('img/icons/people_'~jobName~'.gif') }}" alt="" />
                                                    <span class="number">{{ lord.city.storageCount(jobName) }}</span>
                                                </div>
                                                </li>
                                            {% endfor %}
                                        </ul>
                                        <div class="clear"></div>
                                    </div>
                                </div>
                            </div>

                            <!-- MATCH3 GRID -->
                            <div>
                                <div class="puzzle">
                                    <div class="infos" id="turns">
                                        <p onmouseover="showHintMsg(this,'{{ 'messages.comingSoon' | trans([], 'Common') }}')"
                                           onmouseout="hideHint()">
                                            {{ 'messages.turn.infinite' | trans }}
                                        </p>
                                        {#
                                        <span
                                                id="counter"
                                                onmouseover="showHintMsg(this,'{{ 'messages.turn.wasted' | trans }}<b>0/XX</b>')"
                                                onmouseout="hideHint()">
                                            {{ lord.city.remainingTurns }}
                                        </span>
                                        {{ 'messages.turn.remaining' | trans }}
                                        #}
                                    </div>
                                    <div id="puzzleframe">
                                        <canvas id="puzzleCanvas"></canvas>
                                        <canvas id="frontCanvas"></canvas>
                                        <a class="puzzleturns disable">
                                            {{ 'messages.turn.warning' | trans({'%icon%': '<img src="' ~ asset('img/icons/small/res_rec.gif') ~ '" alt="Turn icon"/>' }) | raw }}
                                        </a>
                                    </div>
                                    <div id="forbiddenSwap" style="visibility: hidden">{{ 'messages.forbiddenSwap' | trans }}</div>
                                </div>
                            </div>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        // mt.js.Tip.exclude("puzzle");
    </script>

    {% include 'City/Components/CityLogsList.html.twig' with { 'logs': logs } %}
{% endblock %}